# Create Nuxt App

[![NPM version](https://img.shields.io/npm/v/create-nuxt-app.svg?style=flat)](https://npmjs.com/package/create-nuxt-app) [![NPM downloads](https://img.shields.io/npm/dm/create-nuxt-app.svg?style=flat)](https://npmjs.com/package/create-nuxt-app) [![CircleCI](https://circleci.com/gh/nuxt-community/create-nuxt-app/tree/master.svg?style=shield)](https://circleci.com/gh/nuxt-community/create-nuxt-app/tree/master)

> Create a [Nuxt.js](https://github.com/nuxt/nuxt.js) project in seconds

<details><summary>Preview</summary>

![preview](https://ooo.0o0.ooo/2017/08/05/5984b16ed9749.gif)
</details>

## Usage

Make sure you have [npx](https://www.npmjs.com/package/npx) installed (`npx` is shipped by default since NPM `5.2.0`)

```bash
npx create-nuxt-app <my-project>
```

Or with [yarn](https://yarnpkg.com/en/):

```bash
yarn create nuxt-app <my-project>
```

## Features :tada:

1. Choose between integrated server-side frameworks:
    - None (Nuxt default server)
    - [Express](https://github.com/expressjs/express)
    - [Koa](https://github.com/koajs/koa)
    - [Hapi](https://github.com/hapijs/hapi)
    - [Feathers](https://github.com/feathersjs/feathers)
    - [Micro](https://github.com/zeit/micro)
    - [Adonis](https://github.com/adonisjs/adonis-framework) (WIP)
2. Choose your favorite UI framework:
    - None (feel free to add one later)
    - [Bootstrap](https://github.com/bootstrap-vue/bootstrap-vue)
    - [Vuetify](https://github.com/vuetifyjs/vuetify)
    - [Bulma](https://github.com/jgthms/bulma)
    - [Tailwind](https://github.com/tailwindcss/tailwindcss)
    - [Element UI](https://github.com/ElemeFE/element)
    - [Buefy](https://buefy.github.io)
3. Add [axios module](https://github.com/nuxt-community/axios-module) to make HTTP request easily into your application.
4. Add [EsLint](https://eslint.org/) to Lint your code on save.

## Credits

- [egoist](https://github.com/egoist)
- [clarko](https://github.com/clarkdo)
- All our contributors ([list](https://github.com/nuxt-community/create-nuxt-app/contributors)).
