# Snapshot report for `test/index.test.js`

The actual snapshot is saved in `index.test.js.snap`.

Generated by [AVA](https://ava.li).

## defaults

> Generated files

    [
      '.editorconfig',
      '.gitignore',
      'README.md',
      'assets/README.md',
      'components/Logo.vue',
      'components/README.md',
      'layouts/README.md',
      'layouts/default.vue',
      'middleware/README.md',
      'nuxt.config.js',
      'package.json',
      'pages/README.md',
      'pages/index.vue',
      'plugins/README.md',
      'static/README.md',
      'static/favicon.ico',
      'store/README.md',
    ]

> package.json

    {
      dependencies: {
        nuxt: '^1.0.0',
      },
      devDependencies: {
        'cross-env': '^5.0.1',
      },
      private: true,
      scripts: {
        build: 'nuxt build',
        dev: 'nuxt',
        generate: 'nuxt generate',
        start: 'nuxt start',
      },
    }

## use axios

> Generated files

    [
      '.editorconfig',
      '.gitignore',
      'README.md',
      'assets/README.md',
      'components/Logo.vue',
      'components/README.md',
      'layouts/README.md',
      'layouts/default.vue',
      'middleware/README.md',
      'nuxt.config.js',
      'package.json',
      'pages/README.md',
      'pages/index.vue',
      'plugins/README.md',
      'static/README.md',
      'static/favicon.ico',
      'store/README.md',
    ]

> package.json

    {
      dependencies: {
        '@nuxtjs/axios': '^5.0.0',
        nuxt: '^1.0.0',
      },
      devDependencies: {
        'cross-env': '^5.0.1',
      },
      private: true,
      scripts: {
        build: 'nuxt build',
        dev: 'nuxt',
        generate: 'nuxt generate',
        start: 'nuxt start',
      },
    }

## use eslint

> Generated files

    [
      '.editorconfig',
      '.eslintrc.js',
      '.gitignore',
      'README.md',
      'assets/README.md',
      'components/Logo.vue',
      'components/README.md',
      'layouts/README.md',
      'layouts/default.vue',
      'middleware/README.md',
      'nuxt.config.js',
      'package.json',
      'pages/README.md',
      'pages/index.vue',
      'plugins/README.md',
      'static/README.md',
      'static/favicon.ico',
      'store/README.md',
    ]

> package.json

    {
      dependencies: {
        nuxt: '^1.0.0',
      },
      devDependencies: {
        'babel-eslint': '^8.2.1',
        'cross-env': '^5.0.1',
        eslint: '^5.0.1',
        'eslint-loader': '^2.0.0',
        'eslint-plugin-vue': '^4.0.0',
      },
      private: true,
      scripts: {
        build: 'nuxt build',
        dev: 'nuxt',
        generate: 'nuxt generate',
        lint: 'eslint --ext .js,.vue --ignore-path .gitignore .',
        precommit: 'npm run lint',
        start: 'nuxt start',
      },
    }

## use express

> Generated files

    [
      '.editorconfig',
      '.gitignore',
      'README.md',
      'assets/README.md',
      'components/Logo.vue',
      'components/README.md',
      'layouts/README.md',
      'layouts/default.vue',
      'middleware/README.md',
      'nuxt.config.js',
      'package.json',
      'pages/README.md',
      'pages/index.vue',
      'plugins/README.md',
      'server/index.js',
      'static/README.md',
      'static/favicon.ico',
      'store/README.md',
    ]

> package.json

    {
      dependencies: {
        express: '^4.15.3',
        nuxt: '^1.0.0',
      },
      devDependencies: {
        'cross-env': '^5.0.1',
        nodemon: '^1.11.0',
      },
      private: true,
      scripts: {
        build: 'nuxt build',
        dev: 'cross-env NODE_ENV=development nodemon server/index.js --watch server',
        generate: 'nuxt generate',
        start: 'cross-env NODE_ENV=production node server/index.js',
      },
    }

## use feathers

> Generated files

    [
      '.editorconfig',
      '.gitignore',
      'README.md',
      'assets/README.md',
      'components/Logo.vue',
      'components/README.md',
      'layouts/README.md',
      'layouts/default.vue',
      'middleware/README.md',
      'nuxt.config.js',
      'package.json',
      'pages/README.md',
      'pages/index.vue',
      'plugins/README.md',
      'server/config/default.json',
      'server/config/production.json',
      'server/index.js',
      'server/middleware/index.js',
      'server/middleware/nuxt.js',
      'static/README.md',
      'static/favicon.ico',
      'store/README.md',
    ]

> package.json

    {
      dependencies: {
        feathers: '^2.0.3',
        'feathers-configuration': '^0.3.3',
        nuxt: '^1.0.0',
      },
      devDependencies: {
        'cross-env': '^5.0.1',
        nodemon: '^1.11.0',
      },
      private: true,
      scripts: {
        build: 'nuxt build',
        dev: 'cross-env NODE_ENV=development nodemon server/index.js --watch server',
        generate: 'nuxt generate',
        start: 'cross-env NODE_ENV=production node server/index.js',
      },
    }

## use hapi

> Generated files

    [
      '.editorconfig',
      '.gitignore',
      'README.md',
      'assets/README.md',
      'components/Logo.vue',
      'components/README.md',
      'layouts/README.md',
      'layouts/default.vue',
      'middleware/README.md',
      'nuxt.config.js',
      'package.json',
      'pages/README.md',
      'pages/index.vue',
      'plugins/README.md',
      'server/index.js',
      'static/README.md',
      'static/favicon.ico',
      'store/README.md',
    ]

> package.json

    {
      dependencies: {
        'hapi-nuxt': '^0.6.0',
        nuxt: '^1.0.0',
      },
      devDependencies: {
        'cross-env': '^5.0.1',
        nodemon: '^1.11.0',
      },
      private: true,
      scripts: {
        build: 'nuxt build',
        dev: 'cross-env NODE_ENV=development nodemon server/index.js --watch server',
        generate: 'nuxt generate',
        start: 'cross-env NODE_ENV=production node server/index.js',
      },
    }

## use koa

> Generated files

    [
      '.editorconfig',
      '.gitignore',
      'README.md',
      'assets/README.md',
      'components/Logo.vue',
      'components/README.md',
      'layouts/README.md',
      'layouts/default.vue',
      'middleware/README.md',
      'nuxt.config.js',
      'package.json',
      'pages/README.md',
      'pages/index.vue',
      'plugins/README.md',
      'server/index.js',
      'static/README.md',
      'static/favicon.ico',
      'store/README.md',
    ]

> package.json

    {
      dependencies: {
        koa: '^2.3.0',
        nuxt: '^1.0.0',
      },
      devDependencies: {
        'cross-env': '^5.0.1',
        nodemon: '^1.11.0',
      },
      private: true,
      scripts: {
        build: 'nuxt build',
        dev: 'cross-env NODE_ENV=development nodemon server/index.js --watch server',
        generate: 'nuxt generate',
        start: 'cross-env NODE_ENV=production node server/index.js',
      },
    }

## use micro

> Generated files

    [
      '.editorconfig',
      '.gitignore',
      'README.md',
      'assets/README.md',
      'components/Logo.vue',
      'components/README.md',
      'layouts/README.md',
      'layouts/default.vue',
      'middleware/README.md',
      'nuxt.config.js',
      'package.json',
      'pages/README.md',
      'pages/index.vue',
      'plugins/README.md',
      'server/index.js',
      'server/micro.config.js',
      'static/README.md',
      'static/favicon.ico',
      'store/README.md',
    ]

> package.json

    {
      dependencies: {
        micro: '^9.0.0',
        'micro-route': '^2.4.0',
        nuxt: '^1.0.0',
      },
      devDependencies: {
        'cross-env': '^5.0.1',
        nodemon: '^1.11.0',
      },
      private: true,
      scripts: {
        build: 'nuxt build',
        dev: 'cross-env NODE_ENV=development nodemon server/index.js --watch server',
        generate: 'nuxt generate',
        start: 'cross-env NODE_ENV=production node server/index.js',
      },
    }

## use yarn

> Generated files

    [
      '.editorconfig',
      '.gitignore',
      'README.md',
      'assets/README.md',
      'components/Logo.vue',
      'components/README.md',
      'layouts/README.md',
      'layouts/default.vue',
      'middleware/README.md',
      'nuxt.config.js',
      'package.json',
      'pages/README.md',
      'pages/index.vue',
      'plugins/README.md',
      'static/README.md',
      'static/favicon.ico',
      'store/README.md',
    ]

> package.json

    {
      dependencies: {
        nuxt: '^1.0.0',
      },
      devDependencies: {
        'cross-env': '^5.0.1',
      },
      private: true,
      scripts: {
        build: 'nuxt build',
        dev: 'nuxt',
        generate: 'nuxt generate',
        start: 'nuxt start',
      },
    }
